> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List models



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /model-monitor/v2/api/models
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/models:
    get:
      tags:
        - Model Monitoring models
      operationId: listModels
      parameters:
        - in: query
          name: pageNumber
          required: true
          schema:
            type: integer
        - in: query
          name: pageSize
          required: true
          schema:
            type: integer
        - in: query
          name: numberOfLastChecksToFetch
          required: true
          schema:
            type: integer
        - in: query
          name: searchQuery
          schema:
            type: string
        - in: query
          description: comma-separated values of tag ids to filter by
          name: tagsQuery
          schema:
            type: string
        - in: query
          name: sortOn
          schema:
            type: string
            enum:
              - created_at
              - updated_at
        - in: query
          name: sortOrder
          schema:
            description: The sorting order, 1 for ascending and -1 for descending
            type: integer
            enum:
              - 1
              - -1
        - in: query
          name: modelType
          schema:
            $ref: '#/components/schemas/dmm-plier_modelType'
      responses:
        '200':
          description: Successfully fetched the Model.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_listModelsResponse'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_modelType:
      description: Type of the model
      type: string
    dmm-plier_listModelsResponse:
      title: List Models.
      description: List models by pagination.
      type: object
      required:
        - classificationModelCount
        - regressionModelCount
        - filteredModelCount
        - pagination
        - modelDashboardItems
      properties:
        classificationModelCount:
          description: Number of Classification Models.
          type: integer
        regressionModelCount:
          description: Number of Regression Models.
          type: integer
        filteredModelCount:
          description: Number of filtered Models.
          type: integer
        tagsCount:
          description: Number of models per tag.
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_modelTagWithCount'
        pagination:
          $ref: '#/components/schemas/dmm-plier_pagination'
        searchQuery:
          description: Search query for the model names.
          type: string
        modelDashboardItems:
          description: Model Dashboard item set which was fetched.
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_modelDashboardItemResponse'
    dmm-plier_modelTagWithCount:
      title: Model Tag with Count
      description: Tag for a model with occurrence count
      allOf:
        - $ref: '#/components/schemas/dmm-plier_modelTag'
        - type: object
          required:
            - count
          properties:
            count:
              type: integer
    dmm-plier_pagination:
      type: object
      required:
        - pageSize
        - pageNumber
        - sortOrder
        - sortOn
      properties:
        pageSize:
          type: integer
        pageNumber:
          type: integer
        sortOrder:
          type: integer
        sortOn:
          type: string
          enum:
            - column_name
            - divergence
            - model_column_id
            - feature_importance
            - created_on
            - created_at
            - updated_at
    dmm-plier_modelDashboardItemResponse:
      title: Model Dashboard Item.
      description: Model Dashboard Item to be sent in the list models API response.
      type: object
      required:
        - id
        - name
        - version
        - modelType
        - modelStatus
        - createdAt
        - dataDriftChecks
        - modelQualityChecks
        - isDataDriftCheckScheduled
        - isModelQualityCheckScheduled
      properties:
        id:
          description: Model's Unique Identifier.
          type: string
        name:
          description: Model's Name.
          type: string
        version:
          description: Model's Version.
          type: string
        modelType:
          description: Model's Type.
          type: string
          enum:
            - classification
            - regression
        modelStatus:
          description: Model's Registration status.
          type: string
          enum:
            - draft
            - created
            - deleted
        createdAt:
          description: Creation timestamp of a Model.
          type: integer
        isDataDriftCheckScheduled:
          description: Is the Data Drift check for the model scheduled?
          type: boolean
        isModelQualityCheckScheduled:
          description: Is the Model Quality check for the model scheduled?
          type: boolean
        dataDriftChecks:
          description: Data Drift scheduled check runs.
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_dataDriftCheck'
        modelQualityChecks:
          description: Model Quality scheduled check runs.
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_modelQualityCheck'
        sourceType:
          $ref: '#/components/schemas/dmm-plier_sourceType'
        permissions:
          $ref: '#/components/schemas/dmm-plier_modelDashboardItemPermissions'
        tags:
          description: List of tags associated with the model
          type: array
          items:
            $ref: '#/components/schemas/dmm-plier_modelTag'
    dmm-plier_modelTag:
      title: Model Tag
      description: Tag for a model
      required:
        - id
        - tagName
      properties:
        id:
          type: string
        tagName:
          description: name of tag
          type: string
    dmm-plier_dataDriftCheck:
      description: Data Drift scheduled check run.
      type: object
      required:
        - checkedOn
        - variablesDrifted
        - numberOfPredictions
        - scheduledCheckId
        - totalNumberOfVariables
      properties:
        checkedOn:
          description: Schedule check run timestamp.
          type: integer
        variablesDrifted:
          description: Name of variables, which were drifted.
          type: array
          items:
            type: string
        numberOfPredictions:
          description: Number of Prediction records included in the check.
          type: integer
        scheduledCheckId:
          description: Scheduled Check Identifier.
          type: string
        totalNumberOfVariables:
          description: Total number of variables considered for the check.
          type: integer
    dmm-plier_modelQualityCheck:
      description: Model Quality scheduled check run.
      type: object
      required:
        - checkedOn
        - scheduledCheckId
        - metrics
        - matchedRowCount
      properties:
        checkedOn:
          description: Schedule check run timestamp.
          type: integer
        scheduledCheckId:
          description: Scheduled Check Identifier.
          type: string
        metrics:
          description: Model Quality Metric results.
          type: array
          items:
            type: object
            required:
              - name
              - value
              - isFailed
            properties:
              name:
                description: Name of the metric.
                type: string
              value:
                description: Metric result value.
                type: number
              isFailed:
                description: Is the metric result failed?
                type: boolean
        matchedRowCount:
          description: Number of predictions that matched ground truth.
          type: number
    dmm-plier_sourceType:
      description: Source for the model registration.
      type: string
      enum:
        - domino_workbench
        - standalone
    dmm-plier_modelDashboardItemPermissions:
      title: Model Dashboard Item Permissions
      description: Permission metadata required for a model dashbord item response
      required:
        - canEditAttributes
        - canUnregisterMonitoring
      properties:
        canEditAttributes:
          description: Whether the requesting user can edit attributes of the model
          type: boolean
        canUnregisterMonitoring:
          description: Whether the requesting user can unregister monitoring for the model
          type: boolean
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [List](/api-reference/exports/list.md)
- [List model tags](/api-reference/model-monitoring-models/get-model-monitorv2apimodel-tags.md)
- [List Model APIs](/api-reference/model-apis/get-apimodelservingv1modelapis.md)
- [List model collaborators](/api-reference/model-monitoring-models/get-model-monitorv2apimodel-collaborators.md)
